Package org.jfree.report.util

## Class MessageFormatSupport

- java.lang.Object
- - org.jfree.report.util.MessageFormatSupport

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class MessageFormatSupport
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `MessageFormatSupport.MessageCompiler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageFormatSupport()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` |
    `static java.lang.String` | `formatWithReplace​(java.text.MessageFormat format, java.lang.Object[] inputValues, java.lang.String nullString)` |
    `static java.lang.String` | `formatWithReplace​(DataRow dataRow, java.text.MessageFormat format, java.lang.String[] fields, java.lang.String nullString)` |
    `java.lang.String` | `getCompiledFormat()` |
    `java.lang.String[]` | `getFields()` |
    `java.lang.String` | `getFormatString()` |
    `java.util.Locale` | `getLocale()` |
    `java.lang.String` | `getNullString()` |
    `java.lang.String` | `performFormat​(DataRow dataRow)` |
    `void` | `setFormatString​(java.lang.String formatString)` |
    `void` | `setLocale​(java.util.Locale locale)` |
    `void` | `setNullString​(java.lang.String nullString)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFormatSupport

          public MessageFormatSupport()

  - ### Method Detail

    - #### getFormatString

          public java.lang.String getFormatString()

    - #### setFormatString

          public void setFormatString​(java.lang.String formatString)

    - #### performFormat

          public java.lang.String performFormat​(DataRow dataRow)
                                         throws DataSourceException

      Throws:
        `DataSourceException`

    - #### getLocale

          public java.util.Locale getLocale()

    - #### getCompiledFormat

          public java.lang.String getCompiledFormat()

    - #### setLocale

          public void setLocale​(java.util.Locale locale)

    - #### getNullString

          public java.lang.String getNullString()

    - #### setNullString

          public void setNullString​(java.lang.String nullString)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getFields

          public java.lang.String[] getFields()

    - #### formatWithReplace

          public static java.lang.String formatWithReplace​(DataRow dataRow,
                                                           java.text.MessageFormat format,
                                                           java.lang.String[] fields,
                                                           java.lang.String nullString)
                                                    throws DataSourceException

      Throws:
        `DataSourceException`

    - #### formatWithReplace

          public static java.lang.String formatWithReplace​(java.text.MessageFormat format,
                                                           java.lang.Object[] inputValues,
                                                           java.lang.String nullString)